%global commit  9822c17013dee1482a232795452722b0efce6882
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gtk3_version                      3.10.0
%global glib2_version                     2.33.3
%global startup_notification_version      0.5
%global gtk_doc_version                   1.9
%global po_package                        cinnamon-desktop-3.0
%global date				  20231119


%define major   4
%define cvcmajor   0
%define girmajor   1.0
%define libname %mklibname %{name} %{major}
%define libdev  %mklibname %{name} -d
%define girlib    %mklibname %{name}-gir %{girmajor}


Summary: Shared code among cinnamon-session, nemo, etc
Name:    cinnamon-desktop
Version: 6.0.0
Release: %mkrel 1
License: GPLv2+ and LGPLv2+ add MIT
Group:   Graphical desktop/Cinnamon
URL:     http://cinnamon.linuxmint.com

Source0: https://github.com/linuxmint/cinnamon-desktop/archive/%{version}.tar.gz#/cinnamon-desktop-%{version}.tar.gz
#Source0: cinnamon-desktop-%{version}.git%{shortcommit}.tar.gz
Patch0:   set_font_defaults.patch

# Make sure that gnome-themes-standard gets pulled in for upgrades
Requires: gnome-themes-standard

BuildRequires: gnome-common
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: gobject-introspection-devel
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(libstartup-notification-1.0) >= %{startup_notification_version}
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xkeyboard-config)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libpulse-mainloop-glib)
BuildRequires: pkgconfig(accountsservice)
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: meson

%description

The cinnamon-desktop package contains an internal library
(libcinnamondesktop) used to implement some portions of the CINNAMON
desktop, and also some data files and other shared components of the
CINNAMON user environment.

#--------------------------------------------------------------------

%package -n %libname
Summary:  Libraries for %name
License:  LGPLv2+
Group:    System/Libraries

%description -n %libname
Libraries for %name

#--------------------------------------------------------------------

%package -n %{girlib}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girlib}
GObject introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %libdev
Summary:  Libraries and headers for libcinnamon-desktop
License:  LGPLv2+
Group:    Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girlib} = %{version}-%{release}
Requires: gtk3-devel >= %{gtk3_version}
Requires: glib2-devel >= %{glib2_version}
Requires: startup-notification-devel >= %{startup_notification_version}

%description -n %libdev
Libraries and header files for the CINNAMON-internal private library
libcinnamondesktop.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#Remove libtool archives.	
find %buildroot -name '*.la' -or -name '*.a' | xargs rm -f
	

%find_lang %{po_package} --all-name --with-gnome

%files -f %{po_package}.lang
%doc AUTHORS COPYING
%license COPYING.LIB README
%{_datadir}/glib-2.0/schemas/org.cinnamon.*.xml
%{_datadir}/libcinnamon-desktop/pnp.ids

%files -n %libname
%{_libdir}/libcinnamon-desktop*.so.%{major}{,.*}
%{_libdir}/libcvc*.so.%{cvcmajor}{,.*}

%files -n %{girlib}
%{_libdir}/girepository-1.0/C*-3.0.typelib
%{_libdir}/girepository-1.0/Cvc-1.0.typelib

%files -n %libdev
%{_libdir}/libcinnamon-desktop.so
%{_libdir}/libcvc.so
%{_libdir}/pkgconfig/cinnamon-desktop.pc
%{_libdir}/pkgconfig/cvc.pc
%{_includedir}/cinnamon-desktop/
%{_datadir}/gir-1.0/C*-3.0.gir
%{_datadir}/gir-1.0/Cvc-1.0.gir


%changelog
* Fri Dec 01 2023 joequant <joequant> 6.0.0-1.mga10
+ Revision: 2012337
- update to 6.0.0

* Sat Sep 02 2023 joequant <joequant> 5.8.0-1.mga10
+ Revision: 1983618
- update to 5.8.0

* Sat Feb 25 2023 martinw <martinw> 5.6.1-1.mga9
+ Revision: 1945325
- new version 5.6.1

* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908954
- update to 5.6.0

* Sun Aug 07 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1875906
- update to 5.4.2

* Fri Jul 01 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1866964
- update to 5.4.0

* Wed Mar 30 2022 umeabot <umeabot> 5.2.0-2.mga9
+ Revision: 1835687
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1759561
- update to 5.2.0

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729184
- update to 5.0.0

* Fri Dec 18 2020 joequant <joequant> 4.8.1-1.mga8
+ Revision: 1660643
- add source file
- update to 4.8.1

* Tue Dec 08 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1654541
- update to 4.8.0

* Wed Sep 30 2020 joequant <joequant> 4.6.4-1.mga8
+ Revision: 1631340
- update to 4.6.4

* Fri Aug 07 2020 joequant <joequant> 4.6.3-1.mga8
+ Revision: 1611665
- update to 4.6.3

* Sun Jun 28 2020 joequant <joequant> 4.6.2-1.mga8
+ Revision: 1599833
- update to 4.6.2

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584244
- update to 4.6.0

* Wed Feb 19 2020 umeabot <umeabot> 4.4.1-2.mga8
+ Revision: 1542828
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 joequant <joequant> 4.4.1-1.mga8
+ Revision: 1477052
- update to 4.4.1

* Sat Dec 07 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1464873
- upgrade to 4.4.1

* Thu Aug 22 2019 joequant <joequant> 4.2.0-1.mga8
+ Revision: 1431329
- upgrade to 4.2.0

* Sat Apr 27 2019 wally <wally> 4.0.1-4.mga8
+ Revision: 1395701
- move mimeapps.list to shared-mime-info

* Wed Apr 17 2019 umeabot <umeabot> 4.0.1-3.mga7
+ Revision: 1392135
- Rebuild with meson 0.50.1

* Tue Apr 09 2019 joequant <joequant> 4.0.1-2.mga7
+ Revision: 1387524
- fix #24631 - update folders on nemo desktop

* Thu Jan 17 2019 joequant <joequant> 4.0.1-1.mga7
+ Revision: 1357803
- binaries upload
- update to 4.0.1

* Mon Nov 05 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328516
- upgrade to 4.0.0

* Sat Sep 22 2018 umeabot <umeabot> 3.8.1-2.mga7
+ Revision: 1296234
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 joequant <joequant> 3.8.1-1.mga7
+ Revision: 1241105
- update to 3.8.1

* Sat Apr 28 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223161
- upgrade to 3.8.0

* Sat Mar 17 2018 joequant <joequant> 3.6.2-1.mga7
+ Revision: 1210158
- update to 3.6.2

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175373
- update to 3.6.0

* Mon Jul 17 2017 joequant <joequant> 3.4.2-1.mga7
+ Revision: 1123992
- update to 3.4.2

* Mon Jan 23 2017 joequant <joequant> 3.2.4-1.mga6
+ Revision: 1083155
- upgrade to 3.2.4

* Sun May 22 2016 joequant <joequant> 3.0.2-1.mga6
+ Revision: 1017489
- upgrade to 3.0.2

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008847
- upgrade to 3.0.0

* Thu Feb 11 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 953758
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893688
- upgrade to 2.8.0

* Sun Jun 28 2015 wally <wally> 2.6.5-2.mga6
+ Revision: 847157
- add requires for gir pkg to devel pkg

* Fri Jun 26 2015 joequant <joequant> 2.6.5-1.mga6
+ Revision: 844285
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 799543
- 2.4.2

* Sun Nov 23 2014 joequant <joequant> 2.4.1-1.mga5
+ Revision: 798406
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-5.mga5
+ Revision: 745259
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.2.3-4.mga5
+ Revision: 731111
- rebuild so that it picks typelib() requires

* Thu Sep 18 2014 umeabot <umeabot> 2.2.3-3.mga5
+ Revision: 693609
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.3-2.mga5
+ Revision: 678397
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 joequant <joequant> 2.2.3-1.mga5
+ Revision: 635329
- upgrade to 2.2.3

* Thu May 15 2014 joequant <joequant> 2.2.2-1.mga5
+ Revision: 622879
- upgrade to 2.2.2

* Fri Apr 18 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616819
- upgrade to 2.2

* Wed Jan 08 2014 joequant <joequant> 2.0.4-3.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.4-2.mga4
+ Revision: 563806
- upgrade to 2.0.4

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 542039
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 496762
- update to 2.0.1

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492506
- packaged wrong source
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490048
- upgrade to 1.9.1

* Thu Sep 19 2013 joequant <joequant> 1.0.0-0.20130905git37ca83b.1.mga4
+ Revision: 481370
- sync with git

* Mon Sep 02 2013 neoclust <neoclust> 1.0.0-0.1.gitea72b22.1.mga4
+ Revision: 474292
- Libify

* Mon Sep 02 2013 joequant <joequant> 1.0.0-0.1.gitea72b22.mga4
+ Revision: 474250
- update to latest git version
- imported package cinnamon-desktop

